;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;
;;; $Id$
;;;
;;; State machine for R7RS syntax with R6RS and Larceny extensions.
;;;
;;; The bulk of the code for this state machine was generated by
;;; Will Clinger's LexGen and ParseGen, so the state machine can
;;; be extended or customized by regenerating that code.
;;;
;;; LexGen and ParseGen are available at
;;; https://github.com/larcenists/larceny/tree/master/tools
;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(define (make-state-machine clear-string-accumulator!
                            scanChar consumeChar accept
                            scannerError errIncompleteToken)

  ;;; FIXME:  This is a hack, but it avoids any changes to LexGen.

  (define (set! ignored also-ignored)
    (clear-string-accumulator!))

  (define string_accumulator_length 'ignored)

  ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
  ;
  ; LexGen generated the code for the state machine.
  ;
  ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
  
  (define (state0 c)
    (case c
      ((#\`) (consumeChar) (accept 'backquote))
      ((#\') (consumeChar) (accept 'quote))
      ((#\]) (consumeChar) (accept 'rbracket))
      ((#\[) (consumeChar) (accept 'lbracket))
      ((#\)) (consumeChar) (accept 'rparen))
      ((#\() (consumeChar) (accept 'lparen))
      ((#\tab #\newline #\vtab #\page #\return #\space)
       (consumeChar)
       (begin
         (set! string_accumulator_length 0)
         (state0 (scanChar))))
      ((#\;) (consumeChar) (state206 (scanChar)))
      ((#\#) (consumeChar) (state205 (scanChar)))
      ((#\0 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state130 (scanChar)))
      ((#\+) (consumeChar) (state72 (scanChar)))
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\i
        #\j
        #\k
        #\l
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\I
        #\J
        #\K
        #\L
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\@)
       (consumeChar)
       (state70 (scanChar)))
      ((#\-) (consumeChar) (state15 (scanChar)))
      ((#\1) (consumeChar) (state12 (scanChar)))
      ((#\.) (consumeChar) (state11 (scanChar)))
      ((#\,) (consumeChar) (state10 (scanChar)))
      ((#\\) (consumeChar) (state9 (scanChar)))
      ((#\|) (consumeChar) (state8 (scanChar)))
      ((#\") (consumeChar) (state4 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (> (char->integer c) 127)
                   (let ((cat (char-general-category c)))
                     (memq cat
                           '(Lu Ll
                                Lt
                                Lm
                                Lo
                                Mn
                                Nl
                                No
                                Pd
                                Pc
                                Po
                                Sc
                                Sm
                                Sk
                                So
                                Co)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if (eof-object? c)
               (begin (consumeChar) (accept 'eofobj))
               (if ((lambda (c) (and (char? c) (char-whitespace? c)))
                    c)
                   (begin
                     (consumeChar)
                     (begin
                       (set! string_accumulator_length 0)
                       (state0 (scanChar))))
                   (if ((lambda (c)
                          (and (char? c) (char=? c (integer->char 133))))
                        c)
                       (begin
                         (consumeChar)
                         (begin
                           (set! string_accumulator_length 0)
                           (state0 (scanChar))))
                       (scannerError errIncompleteToken))))))))
  (define (state1 c)
    (case c
      ((#\") (consumeChar) (accept 'string))
      ((#\newline #\return)
       (consumeChar)
       (state4 (scanChar)))
      ((#\\) (consumeChar) (state3 (scanChar)))
      ((#\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F)
       (consumeChar)
       (state1 (scanChar)))
      (else
       (if (char? c)
           (begin (consumeChar) (state4 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (char=? c (integer->char 8232))))
                c)
               (begin (consumeChar) (state4 (scanChar)))
               (if ((lambda (c)
                      (and (char? c) (char=? c (integer->char 133))))
                    c)
                   (begin (consumeChar) (state4 (scanChar)))
                   (scannerError errIncompleteToken)))))))
  (define (state2 c)
    (case c
      ((#\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F)
       (consumeChar)
       (state1 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state3 c)
    (case c
      ((#\a
        #\b
        #\t
        #\n
        #\v
        #\f
        #\r
        #\"
        #\\
        #\newline
        #\return
        #\space)
       (consumeChar)
       (state4 (scanChar)))
      ((#\x) (consumeChar) (state2 (scanChar)))
      (else
       (if (char? c)
           (begin (consumeChar) (state4 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (char=? c (integer->char 8232))))
                c)
               (begin (consumeChar) (state4 (scanChar)))
               (if ((lambda (c)
                      (and (char? c) (char=? c (integer->char 133))))
                    c)
                   (begin (consumeChar) (state4 (scanChar)))
                   (scannerError errIncompleteToken)))))))
  (define (state4 c)
    (case c
      ((#\") (consumeChar) (accept 'string))
      ((#\newline #\return)
       (consumeChar)
       (state4 (scanChar)))
      ((#\\) (consumeChar) (state3 (scanChar)))
      (else
       (if (char? c)
           (begin (consumeChar) (state4 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (char=? c (integer->char 8232))))
                c)
               (begin (consumeChar) (state4 (scanChar)))
               (if ((lambda (c)
                      (and (char? c) (char=? c (integer->char 133))))
                    c)
                   (begin (consumeChar) (state4 (scanChar)))
                   (scannerError errIncompleteToken)))))))
  (define (state5 c)
    (case c
      ((#\;) (consumeChar) (state8 (scanChar)))
      ((#\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F)
       (consumeChar)
       (state5 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state6 c)
    (case c
      ((#\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F)
       (consumeChar)
       (state5 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state7 c)
    (case c
      ((#\a #\b #\t #\n #\r #\\ #\" #\|)
       (consumeChar)
       (state8 (scanChar)))
      ((#\x) (consumeChar) (state6 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state8 c)
    (case c
      ((#\|) (consumeChar) (accept 'id))
      ((#\\) (consumeChar) (state7 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (not (char=? c #\|))
                   (not (char=? c #\\))))
            c)
           (begin (consumeChar) (state8 (scanChar)))
           (scannerError errIncompleteToken)))))
  (define (state9 c)
    (case c
      ((#\x) (consumeChar) (state68 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state10 c)
    (case c
      ((#\@) (consumeChar) (accept 'splicing))
      (else (accept 'comma))))
  (define (state11 c)
    (case c
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state119 (scanChar)))
      ((#\.
        #\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\i
        #\j
        #\k
        #\l
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\I
        #\J
        #\K
        #\L
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\@
        #\+
        #\-)
       (consumeChar)
       (state70 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (> (char->integer c) 127)
                   (let ((cat (char-general-category c)))
                     (memq cat
                           '(Lu Ll
                                Lt
                                Lm
                                Lo
                                Mn
                                Nl
                                No
                                Pd
                                Pc
                                Po
                                Sc
                                Sm
                                Sk
                                So
                                Co)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (accept 'period)))))
  (define (state12 c)
    (case c
      ((#\@) (consumeChar) (state187 (scanChar)))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state130 (scanChar)))
      ((#\#) (consumeChar) (state129 (scanChar)))
      ((#\/) (consumeChar) (state128 (scanChar)))
      ((#\e #\E #\s #\S #\f #\F #\d #\D #\l #\L)
       (consumeChar)
       (state124 (scanChar)))
      ((#\|) (consumeChar) (state121 (scanChar)))
      ((#\.) (consumeChar) (state119 (scanChar)))
      ((#\+ #\-) (consumeChar) (state13 (scanChar)))
      (else (accept 'number))))
  (define (state13 c)
    (case c
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state165 (scanChar)))
      ((#\.) (consumeChar) (state153 (scanChar)))
      ((#\n #\N) (consumeChar) (state152 (scanChar)))
      ((#\i #\I) (consumeChar) (state147 (scanChar)))
      (else (accept 'id))))
  (define (state14 c)
    (case c
      ((#\i #\I) (consumeChar) (accept 'number))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state192 (scanChar)))
      ((#\#) (consumeChar) (state191 (scanChar)))
      ((#\/) (consumeChar) (state190 (scanChar)))
      ((#\@) (consumeChar) (state187 (scanChar)))
      ((#\-) (consumeChar) (state166 (scanChar)))
      ((#\e #\E #\s #\S #\f #\F #\d #\D #\l #\L)
       (consumeChar)
       (state144 (scanChar)))
      ((#\|) (consumeChar) (state141 (scanChar)))
      ((#\.) (consumeChar) (state139 (scanChar)))
      ((#\+) (consumeChar) (state13 (scanChar)))
      (else (accept 'number))))
  (define (state15 c)
    (case c
      ((#\0 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state192 (scanChar)))
      ((#\.) (consumeChar) (state71 (scanChar)))
      ((#\-
        #\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\j
        #\k
        #\l
        #\m
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\J
        #\K
        #\L
        #\M
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\@
        #\+)
       (consumeChar)
       (state70 (scanChar)))
      ((#\n #\N) (consumeChar) (state65 (scanChar)))
      ((#\i #\I) (consumeChar) (state17 (scanChar)))
      ((#\1) (consumeChar) (state14 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (> (char->integer c) 127)
                   (let ((cat (char-general-category c)))
                     (memq cat
                           '(Lu Ll
                                Lt
                                Lm
                                Lo
                                Mn
                                Nl
                                No
                                Pd
                                Pc
                                Po
                                Sc
                                Sm
                                Sk
                                So
                                Co)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (accept 'id)))))
  (define (state16 c)
    (case c
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\g
        #\h
        #\i
        #\j
        #\k
        #\l
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\G
        #\H
        #\I
        #\J
        #\K
        #\L
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\+
        #\-
        #\.
        #\@
        #\|)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\#) (consumeChar) (state66 (scanChar)))
      ((#\f #\F) (consumeChar) (state63 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'id)))))))
  (define (state17 c)
    (case c
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\i
        #\j
        #\k
        #\l
        #\m
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\I
        #\J
        #\K
        #\L
        #\M
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\+
        #\-
        #\.
        #\@
        #\|)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\#) (consumeChar) (state66 (scanChar)))
      ((#\n #\N) (consumeChar) (state16 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'number)))))))
  (define (state18 c)
    (case c
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\g
        #\h
        #\i
        #\j
        #\k
        #\l
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\G
        #\H
        #\I
        #\J
        #\K
        #\L
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\+
        #\-
        #\.
        #\@
        #\|)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\#) (consumeChar) (state66 (scanChar)))
      ((#\f #\F) (consumeChar) (state22 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'id)))))))
  (define (state19 c)
    (case c
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\i
        #\j
        #\k
        #\l
        #\m
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\I
        #\J
        #\K
        #\L
        #\M
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\+
        #\-
        #\.
        #\@
        #\|)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\#) (consumeChar) (state66 (scanChar)))
      ((#\n #\N) (consumeChar) (state18 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'number)))))))
  (define (state20 c)
    (case c
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\j
        #\k
        #\l
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\J
        #\K
        #\L
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\+
        #\-
        #\.
        #\@
        #\|)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\#) (consumeChar) (state66 (scanChar)))
      ((#\i #\I) (consumeChar) (state41 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'id)))))))
  (define (state21 c)
    (case c
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\i
        #\j
        #\k
        #\l
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\I
        #\J
        #\K
        #\L
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\+
        #\-
        #\.
        #\@
        #\|)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\#) (consumeChar) (state66 (scanChar)))
      ((#\0) (consumeChar) (state20 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'id)))))))
  (define (state22 c)
    (case c
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\i
        #\j
        #\k
        #\l
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\I
        #\J
        #\K
        #\L
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\+
        #\-
        #\@
        #\|)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\#) (consumeChar) (state66 (scanChar)))
      ((#\.) (consumeChar) (state21 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'id)))))))
  (define (state23 c)
    (case c
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\i
        #\j
        #\k
        #\l
        #\m
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\I
        #\J
        #\K
        #\L
        #\M
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\+
        #\-
        #\.
        #\@
        #\|)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\#) (consumeChar) (state66 (scanChar)))
      ((#\n #\N) (consumeChar) (state22 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'id)))))))
  (define (state24 c)
    (case c
      ((#\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\i
        #\j
        #\k
        #\l
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\I
        #\J
        #\K
        #\L
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\+
        #\-
        #\.
        #\@
        #\|)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\#) (consumeChar) (state66 (scanChar)))
      ((#\a #\A) (consumeChar) (state23 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'id)))))))
  (define (state25 c)
    (case c
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\i
        #\j
        #\k
        #\l
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\I
        #\J
        #\K
        #\L
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\+
        #\-
        #\.
        #\@
        #\|)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\#) (consumeChar) (state66 (scanChar)))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state32 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'id)))))))
  (define (state26 c)
    (case c
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\j
        #\k
        #\l
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\J
        #\K
        #\L
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\+
        #\-
        #\.
        #\@
        #\|)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\#) (consumeChar) (state66 (scanChar)))
      ((#\i #\I) (consumeChar) (state41 (scanChar)))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state26 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'id)))))))
  (define (state27 c)
    (case c
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\i
        #\j
        #\k
        #\l
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\I
        #\J
        #\K
        #\L
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\+
        #\-
        #\.
        #\@
        #\|)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\#) (consumeChar) (state66 (scanChar)))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state26 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'id)))))))
  (define (state28 c)
    (case c
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\j
        #\k
        #\l
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\J
        #\K
        #\L
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\+
        #\-
        #\.
        #\@)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\#) (consumeChar) (state66 (scanChar)))
      ((#\i #\I) (consumeChar) (state41 (scanChar)))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state28 (scanChar)))
      ((#\|) (consumeChar) (state27 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'id)))))))
  (define (state29 c)
    (case c
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\i
        #\j
        #\k
        #\l
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\I
        #\J
        #\K
        #\L
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\+
        #\-
        #\.
        #\@
        #\|)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\#) (consumeChar) (state66 (scanChar)))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state28 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'id)))))))
  (define (state30 c)
    (case c
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\i
        #\j
        #\k
        #\l
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\I
        #\J
        #\K
        #\L
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\.
        #\@
        #\|)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\#) (consumeChar) (state66 (scanChar)))
      ((#\+ #\-) (consumeChar) (state29 (scanChar)))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state28 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'id)))))))
  (define (state31 c)
    (case c
      ((#\i #\I) (consumeChar) (accept 'number))
      ((#\#) (consumeChar) (state160 (scanChar)))
      ((#\e #\E #\s #\S #\f #\F #\d #\D #\l #\L)
       (consumeChar)
       (state159 (scanChar)))
      ((#\|) (consumeChar) (state156 (scanChar)))
      ((#\%) (consumeChar) (state70 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state32 c)
    (case c
      ((#\a
        #\b
        #\c
        #\g
        #\h
        #\j
        #\k
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\G
        #\H
        #\J
        #\K
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\+
        #\-
        #\.
        #\@)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\i #\I) (consumeChar) (state41 (scanChar)))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state32 (scanChar)))
      ((#\#) (consumeChar) (state31 (scanChar)))
      ((#\e #\E #\s #\S #\f #\F #\d #\D #\l #\L)
       (consumeChar)
       (state30 (scanChar)))
      ((#\|) (consumeChar) (state27 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'id)))))))
  (define (state33 c)
    (case c
      ((#\i #\I) (consumeChar) (accept 'number))
      ((#\#) (consumeChar) (state161 (scanChar)))
      ((#\%) (consumeChar) (state70 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state34 c)
    (case c
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\j
        #\k
        #\l
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\J
        #\K
        #\L
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\+
        #\-
        #\.
        #\@
        #\|)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\i #\I) (consumeChar) (state41 (scanChar)))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state34 (scanChar)))
      ((#\#) (consumeChar) (state33 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'id)))))))
  (define (state35 c)
    (case c
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\i
        #\j
        #\k
        #\l
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\I
        #\J
        #\K
        #\L
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\+
        #\-
        #\.
        #\@
        #\|)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\#) (consumeChar) (state66 (scanChar)))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state34 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'id)))))))
  (define (state36 c)
    (case c
      ((#\i #\I) (consumeChar) (accept 'number))
      ((#\#) (consumeChar) (state164 (scanChar)))
      ((#\/) (consumeChar) (state163 (scanChar)))
      ((#\.) (consumeChar) (state160 (scanChar)))
      ((#\e #\E #\s #\S #\f #\F #\d #\D #\l #\L)
       (consumeChar)
       (state159 (scanChar)))
      ((#\|) (consumeChar) (state156 (scanChar)))
      ((#\%) (consumeChar) (state70 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state37 c)
    (case c
      ((#\a
        #\b
        #\c
        #\g
        #\h
        #\j
        #\k
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\G
        #\H
        #\J
        #\K
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\+
        #\-
        #\@)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\i #\I) (consumeChar) (state41 (scanChar)))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state37 (scanChar)))
      ((#\#) (consumeChar) (state36 (scanChar)))
      ((#\/) (consumeChar) (state35 (scanChar)))
      ((#\.) (consumeChar) (state32 (scanChar)))
      ((#\e #\E #\s #\S #\f #\F #\d #\D #\l #\L)
       (consumeChar)
       (state30 (scanChar)))
      ((#\|) (consumeChar) (state27 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'id)))))))
  (define (state38 c)
    (case c
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\j
        #\k
        #\l
        #\m
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\J
        #\K
        #\L
        #\M
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\+
        #\-
        #\@
        #\|)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\#) (consumeChar) (state66 (scanChar)))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state37 (scanChar)))
      ((#\.) (consumeChar) (state25 (scanChar)))
      ((#\n #\N) (consumeChar) (state24 (scanChar)))
      ((#\i #\I) (consumeChar) (state19 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'id)))))))
  (define (state39 c)
    (case c
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\g
        #\h
        #\i
        #\j
        #\k
        #\l
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\G
        #\H
        #\I
        #\J
        #\K
        #\L
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\+
        #\-
        #\.
        #\@
        #\|)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\#) (consumeChar) (state66 (scanChar)))
      ((#\f #\F) (consumeChar) (state43 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'id)))))))
  (define (state40 c)
    (case c
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\i
        #\j
        #\k
        #\l
        #\m
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\I
        #\J
        #\K
        #\L
        #\M
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\+
        #\-
        #\.
        #\@
        #\|)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\#) (consumeChar) (state66 (scanChar)))
      ((#\n #\N) (consumeChar) (state39 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'id)))))))
  (define (state41 c)
    (case c
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\i
        #\j
        #\k
        #\l
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\I
        #\J
        #\K
        #\L
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\+
        #\-
        #\.
        #\@
        #\|)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\#) (consumeChar) (state66 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'number)))))))
  (define (state42 c)
    (case c
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\i
        #\j
        #\k
        #\l
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\I
        #\J
        #\K
        #\L
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\+
        #\-
        #\.
        #\@
        #\|)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\#) (consumeChar) (state66 (scanChar)))
      ((#\0) (consumeChar) (state41 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'id)))))))
  (define (state43 c)
    (case c
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\i
        #\j
        #\k
        #\l
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\I
        #\J
        #\K
        #\L
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\+
        #\-
        #\@
        #\|)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\#) (consumeChar) (state66 (scanChar)))
      ((#\.) (consumeChar) (state42 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'id)))))))
  (define (state44 c)
    (case c
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\i
        #\j
        #\k
        #\l
        #\m
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\I
        #\J
        #\K
        #\L
        #\M
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\+
        #\-
        #\.
        #\@
        #\|)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\#) (consumeChar) (state66 (scanChar)))
      ((#\n #\N) (consumeChar) (state43 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'id)))))))
  (define (state45 c)
    (case c
      ((#\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\i
        #\j
        #\k
        #\l
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\I
        #\J
        #\K
        #\L
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\+
        #\-
        #\.
        #\@
        #\|)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\#) (consumeChar) (state66 (scanChar)))
      ((#\a #\A) (consumeChar) (state44 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'id)))))))
  (define (state46 c)
    (case c
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\i
        #\j
        #\k
        #\l
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\I
        #\J
        #\K
        #\L
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\+
        #\-
        #\.
        #\@
        #\|)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\#) (consumeChar) (state66 (scanChar)))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state53 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'id)))))))
  (define (state47 c)
    (case c
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\i
        #\j
        #\k
        #\l
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\I
        #\J
        #\K
        #\L
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\+
        #\-
        #\.
        #\@
        #\|)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\#) (consumeChar) (state66 (scanChar)))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state47 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'number)))))))
  (define (state48 c)
    (case c
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\i
        #\j
        #\k
        #\l
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\I
        #\J
        #\K
        #\L
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\+
        #\-
        #\.
        #\@
        #\|)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\#) (consumeChar) (state66 (scanChar)))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state47 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'id)))))))
  (define (state49 c)
    (case c
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\i
        #\j
        #\k
        #\l
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\I
        #\J
        #\K
        #\L
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\+
        #\-
        #\.
        #\@)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\#) (consumeChar) (state66 (scanChar)))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state49 (scanChar)))
      ((#\|) (consumeChar) (state48 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'number)))))))
  (define (state50 c)
    (case c
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\i
        #\j
        #\k
        #\l
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\I
        #\J
        #\K
        #\L
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\+
        #\-
        #\.
        #\@
        #\|)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\#) (consumeChar) (state66 (scanChar)))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state49 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'id)))))))
  (define (state51 c)
    (case c
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\i
        #\j
        #\k
        #\l
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\I
        #\J
        #\K
        #\L
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\.
        #\@
        #\|)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\#) (consumeChar) (state66 (scanChar)))
      ((#\+ #\-) (consumeChar) (state50 (scanChar)))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state49 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'id)))))))
  (define (state52 c)
    (case c
      ((#\#) (consumeChar) (state180 (scanChar)))
      ((#\e #\E #\s #\S #\f #\F #\d #\D #\l #\L)
       (consumeChar)
       (state179 (scanChar)))
      ((#\|) (consumeChar) (state176 (scanChar)))
      ((#\%) (consumeChar) (state70 (scanChar)))
      (else (accept 'number))))
  (define (state53 c)
    (case c
      ((#\a
        #\b
        #\c
        #\g
        #\h
        #\i
        #\j
        #\k
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\G
        #\H
        #\I
        #\J
        #\K
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\+
        #\-
        #\.
        #\@)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state53 (scanChar)))
      ((#\#) (consumeChar) (state52 (scanChar)))
      ((#\e #\E #\s #\S #\f #\F #\d #\D #\l #\L)
       (consumeChar)
       (state51 (scanChar)))
      ((#\|) (consumeChar) (state48 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'number)))))))
  (define (state54 c)
    (case c
      ((#\#) (consumeChar) (state181 (scanChar)))
      ((#\%) (consumeChar) (state70 (scanChar)))
      (else (accept 'number))))
  (define (state55 c)
    (case c
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\i
        #\j
        #\k
        #\l
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\I
        #\J
        #\K
        #\L
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\+
        #\-
        #\.
        #\@
        #\|)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state55 (scanChar)))
      ((#\#) (consumeChar) (state54 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'number)))))))
  (define (state56 c)
    (case c
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\i
        #\j
        #\k
        #\l
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\I
        #\J
        #\K
        #\L
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\+
        #\-
        #\.
        #\@
        #\|)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\#) (consumeChar) (state66 (scanChar)))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state55 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'id)))))))
  (define (state57 c)
    (case c
      ((#\#) (consumeChar) (state184 (scanChar)))
      ((#\/) (consumeChar) (state183 (scanChar)))
      ((#\.) (consumeChar) (state180 (scanChar)))
      ((#\e #\E #\s #\S #\f #\F #\d #\D #\l #\L)
       (consumeChar)
       (state179 (scanChar)))
      ((#\|) (consumeChar) (state176 (scanChar)))
      ((#\%) (consumeChar) (state70 (scanChar)))
      (else (accept 'number))))
  (define (state58 c)
    (case c
      ((#\a
        #\b
        #\c
        #\g
        #\h
        #\i
        #\j
        #\k
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\G
        #\H
        #\I
        #\J
        #\K
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\+
        #\-
        #\@)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state58 (scanChar)))
      ((#\#) (consumeChar) (state57 (scanChar)))
      ((#\/) (consumeChar) (state56 (scanChar)))
      ((#\.) (consumeChar) (state53 (scanChar)))
      ((#\e #\E #\s #\S #\f #\F #\d #\D #\l #\L)
       (consumeChar)
       (state51 (scanChar)))
      ((#\|) (consumeChar) (state48 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'number)))))))
  (define (state59 c)
    (case c
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\j
        #\k
        #\l
        #\m
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\J
        #\K
        #\L
        #\M
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\+
        #\-
        #\@
        #\|)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\#) (consumeChar) (state66 (scanChar)))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state58 (scanChar)))
      ((#\.) (consumeChar) (state46 (scanChar)))
      ((#\n #\N) (consumeChar) (state45 (scanChar)))
      ((#\i #\I) (consumeChar) (state40 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'id)))))))
  (define (state60 c)
    (case c
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\i
        #\j
        #\k
        #\l
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\I
        #\J
        #\K
        #\L
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\@
        #\|)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\#) (consumeChar) (state66 (scanChar)))
      ((#\+ #\-) (consumeChar) (state59 (scanChar)))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state58 (scanChar)))
      ((#\.) (consumeChar) (state46 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'id)))))))
  (define (state61 c)
    (case c
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\j
        #\k
        #\l
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\J
        #\K
        #\L
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\.
        #\|)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\#) (consumeChar) (state66 (scanChar)))
      ((#\@) (consumeChar) (state60 (scanChar)))
      ((#\i #\I) (consumeChar) (state41 (scanChar)))
      ((#\+ #\-) (consumeChar) (state38 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'number)))))))
  (define (state62 c)
    (case c
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\i
        #\j
        #\k
        #\l
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\I
        #\J
        #\K
        #\L
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\+
        #\-
        #\.
        #\@
        #\|)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\#) (consumeChar) (state66 (scanChar)))
      ((#\0) (consumeChar) (state61 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'id)))))))
  (define (state63 c)
    (case c
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\i
        #\j
        #\k
        #\l
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\I
        #\J
        #\K
        #\L
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\+
        #\-
        #\@
        #\|)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\#) (consumeChar) (state66 (scanChar)))
      ((#\.) (consumeChar) (state62 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'id)))))))
  (define (state64 c)
    (case c
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\i
        #\j
        #\k
        #\l
        #\m
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\I
        #\J
        #\K
        #\L
        #\M
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\+
        #\-
        #\.
        #\@
        #\|)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\#) (consumeChar) (state66 (scanChar)))
      ((#\n #\N) (consumeChar) (state63 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'id)))))))
  (define (state65 c)
    (case c
      ((#\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\i
        #\j
        #\k
        #\l
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\I
        #\J
        #\K
        #\L
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\+
        #\-
        #\.
        #\@
        #\|)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\#) (consumeChar) (state66 (scanChar)))
      ((#\a #\A) (consumeChar) (state64 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'id)))))))
  (define (state66 c)
    (case c
      ((#\%) (consumeChar) (state70 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state67 c)
    (case c
      ((#\;) (consumeChar) (state70 (scanChar)))
      ((#\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F)
       (consumeChar)
       (state67 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state68 c)
    (case c
      ((#\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F)
       (consumeChar)
       (state67 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state69 c)
    (case c
      ((#\x) (consumeChar) (state68 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c) (char<=? c (integer->char 127))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (scannerError errIncompleteToken)))))
  (define (state70 c)
    (case c
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\i
        #\j
        #\k
        #\l
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\I
        #\J
        #\K
        #\L
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\+
        #\-
        #\.
        #\@
        #\|)
       (consumeChar)
       (state70 (scanChar)))
      ((#\\) (consumeChar) (state69 (scanChar)))
      ((#\#) (consumeChar) (state66 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (let ((cat (char-general-category c)))
                     (memq cat '(Nd Mc Me)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (if ((lambda (c)
                  (and (char? c) (<= 8204 (char->integer c) 8205)))
                c)
               (begin (consumeChar) (state70 (scanChar)))
               (if ((lambda (c)
                      (and (char? c)
                           (> (char->integer c) 127)
                           (let ((cat (char-general-category c)))
                             (memq cat
                                   '(Lu Ll
                                        Lt
                                        Lm
                                        Lo
                                        Mn
                                        Nl
                                        No
                                        Pd
                                        Pc
                                        Po
                                        Sc
                                        Sm
                                        Sk
                                        So
                                        Co)))))
                    c)
                   (begin (consumeChar) (state70 (scanChar)))
                   (accept 'id)))))))
  (define (state71 c)
    (case c
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state139 (scanChar)))
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\i
        #\j
        #\k
        #\l
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\I
        #\J
        #\K
        #\L
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\@
        #\+
        #\-
        #\.)
       (consumeChar)
       (state70 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (> (char->integer c) 127)
                   (let ((cat (char-general-category c)))
                     (memq cat
                           '(Lu Ll
                                Lt
                                Lm
                                Lo
                                Mn
                                Nl
                                No
                                Pd
                                Pc
                                Po
                                Sc
                                Sm
                                Sk
                                So
                                Co)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (scannerError errIncompleteToken)))))
  (define (state72 c)
    (case c
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state192 (scanChar)))
      ((#\.) (consumeChar) (state71 (scanChar)))
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\j
        #\k
        #\l
        #\m
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\J
        #\K
        #\L
        #\M
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\!
        #\$
        #\%
        #\&
        #\*
        #\/
        #\:
        #\<
        #\=
        #\>
        #\?
        #\^
        #\_
        #\~
        #\@
        #\+
        #\-)
       (consumeChar)
       (state70 (scanChar)))
      ((#\n #\N) (consumeChar) (state65 (scanChar)))
      ((#\i #\I) (consumeChar) (state17 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c)
                   (> (char->integer c) 127)
                   (let ((cat (char-general-category c)))
                     (memq cat
                           '(Lu Ll
                                Lt
                                Lm
                                Lo
                                Mn
                                Nl
                                No
                                Pd
                                Pc
                                Po
                                Sc
                                Sm
                                Sk
                                So
                                Co)))))
            c)
           (begin (consumeChar) (state70 (scanChar)))
           (accept 'id)))))
  (define (state73 c)
    (case c
      ((#\" #\\) (consumeChar) (state74 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state74 c)
    (case c
      ((#\") (consumeChar) (accept 'xstring))
      ((#\\) (consumeChar) (state73 (scanChar)))
      (else (begin (consumeChar) (state74 (scanChar))))))
  (define (state75 c)
    (case c
      ((#\#) (consumeChar) (accept 'sharinguse))
      ((#\=) (consumeChar) (accept 'sharingdef))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state75 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state76 c)
    (case c
      ((#\@) (consumeChar) (accept 'unsyntaxsplicing))
      (else (accept 'unsyntax))))
  (define (state77 c)
    (case c
      ((#\() (consumeChar) (accept 'bvecstart))
      (else (scannerError errIncompleteToken))))
  (define (state78 c)
    (case c
      ((#\8) (consumeChar) (state77 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state79 c)
    (case c
      ((#\u) (consumeChar) (state78 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state80 c)
    (case c
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\i
        #\j
        #\k
        #\l
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\I
        #\J
        #\K
        #\L
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z)
       (consumeChar)
       (state80 (scanChar)))
      (else (accept 'character))))
  (define (state81 c)
    (case c
      ((#\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F)
       (consumeChar)
       (state81 (scanChar)))
      (else (accept 'character))))
  (define (state82 c)
    (case c
      ((#\a #\b #\c #\d #\e #\f #\A #\B #\C #\D #\E #\F)
       (consumeChar)
       (state82 (scanChar)))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state81 (scanChar)))
      ((#\g
        #\h
        #\i
        #\j
        #\k
        #\l
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\G
        #\H
        #\I
        #\J
        #\K
        #\L
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z)
       (consumeChar)
       (state80 (scanChar)))
      (else (accept 'character))))
  (define (state83 c)
    (case c
      ((#\x) (consumeChar) (state82 (scanChar)))
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\i
        #\j
        #\k
        #\l
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\I
        #\J
        #\K
        #\L
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z)
       (consumeChar)
       (state80 (scanChar)))
      (else
       (if (char? c)
           (begin (consumeChar) (accept 'character))
           (scannerError errIncompleteToken)))))
  (define (state84 c)
    (case c
      ((#\i #\I #\e #\E)
       (consumeChar)
       (state115 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state85 c)
    (case c
      ((#\+ #\-) (consumeChar) (state114 (scanChar)))
      ((#\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F)
       (consumeChar)
       (state90 (scanChar)))
      ((#\#) (consumeChar) (state84 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state86 c)
    (case c
      ((#\@) (consumeChar) (state108 (scanChar)))
      ((#\+ #\-) (consumeChar) (state102 (scanChar)))
      ((#\#) (consumeChar) (state86 (scanChar)))
      (else (accept 'number))))
  (define (state87 c)
    (case c
      ((#\@) (consumeChar) (state108 (scanChar)))
      ((#\+ #\-) (consumeChar) (state102 (scanChar)))
      ((#\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F)
       (consumeChar)
       (state87 (scanChar)))
      ((#\#) (consumeChar) (state86 (scanChar)))
      (else (accept 'number))))
  (define (state88 c)
    (case c
      ((#\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F)
       (consumeChar)
       (state87 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state89 c)
    (case c
      ((#\@) (consumeChar) (state108 (scanChar)))
      ((#\+ #\-) (consumeChar) (state102 (scanChar)))
      ((#\#) (consumeChar) (state89 (scanChar)))
      ((#\/) (consumeChar) (state88 (scanChar)))
      (else (accept 'number))))
  (define (state90 c)
    (case c
      ((#\@) (consumeChar) (state108 (scanChar)))
      ((#\+ #\-) (consumeChar) (state102 (scanChar)))
      ((#\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F)
       (consumeChar)
       (state90 (scanChar)))
      ((#\#) (consumeChar) (state89 (scanChar)))
      ((#\/) (consumeChar) (state88 (scanChar)))
      (else (accept 'number))))
  (define (state91 c)
    (case c
      ((#\f #\F) (consumeChar) (state95 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state92 c)
    (case c
      ((#\n #\N) (consumeChar) (state91 (scanChar)))
      (else (accept 'number))))
  (define (state93 c)
    (case c
      ((#\i #\I) (consumeChar) (accept 'number))
      ((#\@) (consumeChar) (state108 (scanChar)))
      ((#\+ #\-) (consumeChar) (state102 (scanChar)))
      (else (accept 'number))))
  (define (state94 c)
    (case c
      ((#\0) (consumeChar) (state93 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state95 c)
    (case c
      ((#\.) (consumeChar) (state94 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state96 c)
    (case c
      ((#\n #\N) (consumeChar) (state95 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state97 c)
    (case c
      ((#\a #\A) (consumeChar) (state96 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state98 c)
    (case c
      ((#\i #\I) (consumeChar) (accept 'number))
      ((#\#) (consumeChar) (state161 (scanChar)))
      ((#\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F)
       (consumeChar)
       (state98 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state99 c)
    (case c
      ((#\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F)
       (consumeChar)
       (state98 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state100 c)
    (case c
      ((#\i #\I) (consumeChar) (accept 'number))
      ((#\#) (consumeChar) (state100 (scanChar)))
      ((#\/) (consumeChar) (state99 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state101 c)
    (case c
      ((#\i #\I) (consumeChar) (accept 'number))
      ((#\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F)
       (consumeChar)
       (state101 (scanChar)))
      ((#\#) (consumeChar) (state100 (scanChar)))
      ((#\/) (consumeChar) (state99 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state102 c)
    (case c
      ((#\n #\N) (consumeChar) (state152 (scanChar)))
      ((#\i #\I) (consumeChar) (state147 (scanChar)))
      ((#\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F)
       (consumeChar)
       (state101 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state103 c)
    (case c
      ((#\#) (consumeChar) (state181 (scanChar)))
      ((#\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F)
       (consumeChar)
       (state103 (scanChar)))
      (else (accept 'number))))
  (define (state104 c)
    (case c
      ((#\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F)
       (consumeChar)
       (state103 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state105 c)
    (case c
      ((#\#) (consumeChar) (state105 (scanChar)))
      ((#\/) (consumeChar) (state104 (scanChar)))
      (else (accept 'number))))
  (define (state106 c)
    (case c
      ((#\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F)
       (consumeChar)
       (state106 (scanChar)))
      ((#\#) (consumeChar) (state105 (scanChar)))
      ((#\/) (consumeChar) (state104 (scanChar)))
      (else (accept 'number))))
  (define (state107 c)
    (case c
      ((#\n #\N) (consumeChar) (state172 (scanChar)))
      ((#\i #\I) (consumeChar) (state168 (scanChar)))
      ((#\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F)
       (consumeChar)
       (state106 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state108 c)
    (case c
      ((#\+ #\-) (consumeChar) (state107 (scanChar)))
      ((#\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F)
       (consumeChar)
       (state106 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state109 c)
    (case c
      ((#\i #\I) (consumeChar) (accept 'number))
      ((#\#) (consumeChar) (state109 (scanChar)))
      ((#\@) (consumeChar) (state108 (scanChar)))
      ((#\+ #\-) (consumeChar) (state102 (scanChar)))
      (else (accept 'number))))
  (define (state110 c)
    (case c
      ((#\i #\I) (consumeChar) (accept 'number))
      ((#\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F)
       (consumeChar)
       (state110 (scanChar)))
      ((#\#) (consumeChar) (state109 (scanChar)))
      ((#\@) (consumeChar) (state108 (scanChar)))
      ((#\+ #\-) (consumeChar) (state102 (scanChar)))
      (else (accept 'number))))
  (define (state111 c)
    (case c
      ((#\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F)
       (consumeChar)
       (state110 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state112 c)
    (case c
      ((#\i #\I) (consumeChar) (accept 'number))
      ((#\#) (consumeChar) (state112 (scanChar)))
      ((#\/) (consumeChar) (state111 (scanChar)))
      ((#\@) (consumeChar) (state108 (scanChar)))
      ((#\+ #\-) (consumeChar) (state102 (scanChar)))
      (else (accept 'number))))
  (define (state113 c)
    (case c
      ((#\i #\I) (consumeChar) (accept 'number))
      ((#\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F)
       (consumeChar)
       (state113 (scanChar)))
      ((#\#) (consumeChar) (state112 (scanChar)))
      ((#\/) (consumeChar) (state111 (scanChar)))
      ((#\@) (consumeChar) (state108 (scanChar)))
      ((#\+ #\-) (consumeChar) (state102 (scanChar)))
      (else (accept 'number))))
  (define (state114 c)
    (case c
      ((#\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F)
       (consumeChar)
       (state113 (scanChar)))
      ((#\n #\N) (consumeChar) (state97 (scanChar)))
      ((#\i #\I) (consumeChar) (state92 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state115 c)
    (case c
      ((#\+ #\-) (consumeChar) (state114 (scanChar)))
      ((#\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F)
       (consumeChar)
       (state90 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state116 c)
    (case c
      ((#\d #\D) (consumeChar) (state194 (scanChar)))
      ((#\b #\B #\o #\O #\x #\X)
       (consumeChar)
       (state115 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state117 c)
    (case c
      ((#\+ #\-) (consumeChar) (state193 (scanChar)))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state130 (scanChar)))
      ((#\.) (consumeChar) (state118 (scanChar)))
      ((#\#) (consumeChar) (state116 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state118 c)
    (case c
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state119 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state119 c)
    (case c
      ((#\@) (consumeChar) (state187 (scanChar)))
      ((#\+ #\-) (consumeChar) (state166 (scanChar)))
      ((#\#) (consumeChar) (state125 (scanChar)))
      ((#\e #\E #\s #\S #\f #\F #\d #\D #\l #\L)
       (consumeChar)
       (state124 (scanChar)))
      ((#\|) (consumeChar) (state121 (scanChar)))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state119 (scanChar)))
      (else (accept 'number))))
  (define (state120 c)
    (case c
      ((#\@) (consumeChar) (state187 (scanChar)))
      ((#\+ #\-) (consumeChar) (state166 (scanChar)))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state120 (scanChar)))
      (else (accept 'number))))
  (define (state121 c)
    (case c
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state120 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state122 c)
    (case c
      ((#\@) (consumeChar) (state187 (scanChar)))
      ((#\+ #\-) (consumeChar) (state166 (scanChar)))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state122 (scanChar)))
      ((#\|) (consumeChar) (state121 (scanChar)))
      (else (accept 'number))))
  (define (state123 c)
    (case c
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state122 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state124 c)
    (case c
      ((#\+ #\-) (consumeChar) (state123 (scanChar)))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state122 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state125 c)
    (case c
      ((#\@) (consumeChar) (state187 (scanChar)))
      ((#\+ #\-) (consumeChar) (state166 (scanChar)))
      ((#\#) (consumeChar) (state125 (scanChar)))
      ((#\e #\E #\s #\S #\f #\F #\d #\D #\l #\L)
       (consumeChar)
       (state124 (scanChar)))
      ((#\|) (consumeChar) (state121 (scanChar)))
      (else (accept 'number))))
  (define (state126 c)
    (case c
      ((#\@) (consumeChar) (state187 (scanChar)))
      ((#\+ #\-) (consumeChar) (state166 (scanChar)))
      ((#\#) (consumeChar) (state126 (scanChar)))
      (else (accept 'number))))
  (define (state127 c)
    (case c
      ((#\@) (consumeChar) (state187 (scanChar)))
      ((#\+ #\-) (consumeChar) (state166 (scanChar)))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state127 (scanChar)))
      ((#\#) (consumeChar) (state126 (scanChar)))
      (else (accept 'number))))
  (define (state128 c)
    (case c
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state127 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state129 c)
    (case c
      ((#\@) (consumeChar) (state187 (scanChar)))
      ((#\+ #\-) (consumeChar) (state166 (scanChar)))
      ((#\#) (consumeChar) (state129 (scanChar)))
      ((#\/) (consumeChar) (state128 (scanChar)))
      ((#\.) (consumeChar) (state125 (scanChar)))
      ((#\e #\E #\s #\S #\f #\F #\d #\D #\l #\L)
       (consumeChar)
       (state124 (scanChar)))
      ((#\|) (consumeChar) (state121 (scanChar)))
      (else (accept 'number))))
  (define (state130 c)
    (case c
      ((#\@) (consumeChar) (state187 (scanChar)))
      ((#\+ #\-) (consumeChar) (state166 (scanChar)))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state130 (scanChar)))
      ((#\#) (consumeChar) (state129 (scanChar)))
      ((#\/) (consumeChar) (state128 (scanChar)))
      ((#\e #\E #\s #\S #\f #\F #\d #\D #\l #\L)
       (consumeChar)
       (state124 (scanChar)))
      ((#\|) (consumeChar) (state121 (scanChar)))
      ((#\.) (consumeChar) (state119 (scanChar)))
      (else (accept 'number))))
  (define (state131 c)
    (case c
      ((#\f #\F) (consumeChar) (state135 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state132 c)
    (case c
      ((#\n #\N) (consumeChar) (state131 (scanChar)))
      (else (accept 'number))))
  (define (state133 c)
    (case c
      ((#\i #\I) (consumeChar) (accept 'number))
      ((#\@) (consumeChar) (state187 (scanChar)))
      ((#\+ #\-) (consumeChar) (state166 (scanChar)))
      (else (accept 'number))))
  (define (state134 c)
    (case c
      ((#\0) (consumeChar) (state133 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state135 c)
    (case c
      ((#\.) (consumeChar) (state134 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state136 c)
    (case c
      ((#\n #\N) (consumeChar) (state135 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state137 c)
    (case c
      ((#\a #\A) (consumeChar) (state136 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state138 c)
    (case c
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state139 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state139 c)
    (case c
      ((#\i #\I) (consumeChar) (accept 'number))
      ((#\@) (consumeChar) (state187 (scanChar)))
      ((#\+ #\-) (consumeChar) (state166 (scanChar)))
      ((#\#) (consumeChar) (state145 (scanChar)))
      ((#\e #\E #\s #\S #\f #\F #\d #\D #\l #\L)
       (consumeChar)
       (state144 (scanChar)))
      ((#\|) (consumeChar) (state141 (scanChar)))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state139 (scanChar)))
      (else (accept 'number))))
  (define (state140 c)
    (case c
      ((#\i #\I) (consumeChar) (accept 'number))
      ((#\@) (consumeChar) (state187 (scanChar)))
      ((#\+ #\-) (consumeChar) (state166 (scanChar)))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state140 (scanChar)))
      (else (accept 'number))))
  (define (state141 c)
    (case c
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state140 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state142 c)
    (case c
      ((#\i #\I) (consumeChar) (accept 'number))
      ((#\@) (consumeChar) (state187 (scanChar)))
      ((#\+ #\-) (consumeChar) (state166 (scanChar)))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state142 (scanChar)))
      ((#\|) (consumeChar) (state141 (scanChar)))
      (else (accept 'number))))
  (define (state143 c)
    (case c
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state142 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state144 c)
    (case c
      ((#\+ #\-) (consumeChar) (state143 (scanChar)))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state142 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state145 c)
    (case c
      ((#\i #\I) (consumeChar) (accept 'number))
      ((#\@) (consumeChar) (state187 (scanChar)))
      ((#\+ #\-) (consumeChar) (state166 (scanChar)))
      ((#\#) (consumeChar) (state145 (scanChar)))
      ((#\e #\E #\s #\S #\f #\F #\d #\D #\l #\L)
       (consumeChar)
       (state144 (scanChar)))
      ((#\|) (consumeChar) (state141 (scanChar)))
      (else (accept 'number))))
  (define (state146 c)
    (case c
      ((#\f #\F) (consumeChar) (state150 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state147 c)
    (case c
      ((#\n #\N) (consumeChar) (state146 (scanChar)))
      (else (accept 'number))))
  (define (state148 c)
    (case c
      ((#\i #\I) (consumeChar) (accept 'number))
      (else (scannerError errIncompleteToken))))
  (define (state149 c)
    (case c
      ((#\0) (consumeChar) (state148 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state150 c)
    (case c
      ((#\.) (consumeChar) (state149 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state151 c)
    (case c
      ((#\n #\N) (consumeChar) (state150 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state152 c)
    (case c
      ((#\a #\A) (consumeChar) (state151 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state153 c)
    (case c
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state154 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state154 c)
    (case c
      ((#\i #\I) (consumeChar) (accept 'number))
      ((#\#) (consumeChar) (state160 (scanChar)))
      ((#\e #\E #\s #\S #\f #\F #\d #\D #\l #\L)
       (consumeChar)
       (state159 (scanChar)))
      ((#\|) (consumeChar) (state156 (scanChar)))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state154 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state155 c)
    (case c
      ((#\i #\I) (consumeChar) (accept 'number))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state155 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state156 c)
    (case c
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state155 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state157 c)
    (case c
      ((#\i #\I) (consumeChar) (accept 'number))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state157 (scanChar)))
      ((#\|) (consumeChar) (state156 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state158 c)
    (case c
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state157 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state159 c)
    (case c
      ((#\+ #\-) (consumeChar) (state158 (scanChar)))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state157 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state160 c)
    (case c
      ((#\i #\I) (consumeChar) (accept 'number))
      ((#\#) (consumeChar) (state160 (scanChar)))
      ((#\e #\E #\s #\S #\f #\F #\d #\D #\l #\L)
       (consumeChar)
       (state159 (scanChar)))
      ((#\|) (consumeChar) (state156 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state161 c)
    (case c
      ((#\i #\I) (consumeChar) (accept 'number))
      ((#\#) (consumeChar) (state161 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state162 c)
    (case c
      ((#\i #\I) (consumeChar) (accept 'number))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state162 (scanChar)))
      ((#\#) (consumeChar) (state161 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state163 c)
    (case c
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state162 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state164 c)
    (case c
      ((#\i #\I) (consumeChar) (accept 'number))
      ((#\#) (consumeChar) (state164 (scanChar)))
      ((#\/) (consumeChar) (state163 (scanChar)))
      ((#\.) (consumeChar) (state160 (scanChar)))
      ((#\e #\E #\s #\S #\f #\F #\d #\D #\l #\L)
       (consumeChar)
       (state159 (scanChar)))
      ((#\|) (consumeChar) (state156 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state165 c)
    (case c
      ((#\i #\I) (consumeChar) (accept 'number))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state165 (scanChar)))
      ((#\#) (consumeChar) (state164 (scanChar)))
      ((#\/) (consumeChar) (state163 (scanChar)))
      ((#\e #\E #\s #\S #\f #\F #\d #\D #\l #\L)
       (consumeChar)
       (state159 (scanChar)))
      ((#\|) (consumeChar) (state156 (scanChar)))
      ((#\.) (consumeChar) (state154 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state166 c)
    (case c
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state165 (scanChar)))
      ((#\.) (consumeChar) (state153 (scanChar)))
      ((#\n #\N) (consumeChar) (state152 (scanChar)))
      ((#\i #\I) (consumeChar) (state147 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state167 c)
    (case c
      ((#\f #\F) (consumeChar) (state170 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state168 c)
    (case c
      ((#\n #\N) (consumeChar) (state167 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state169 c)
    (case c
      ((#\0) (consumeChar) (accept 'number))
      (else (scannerError errIncompleteToken))))
  (define (state170 c)
    (case c
      ((#\.) (consumeChar) (state169 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state171 c)
    (case c
      ((#\n #\N) (consumeChar) (state170 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state172 c)
    (case c
      ((#\a #\A) (consumeChar) (state171 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state173 c)
    (case c
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state174 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state174 c)
    (case c
      ((#\#) (consumeChar) (state180 (scanChar)))
      ((#\e #\E #\s #\S #\f #\F #\d #\D #\l #\L)
       (consumeChar)
       (state179 (scanChar)))
      ((#\|) (consumeChar) (state176 (scanChar)))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state174 (scanChar)))
      (else (accept 'number))))
  (define (state175 c)
    (case c
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state175 (scanChar)))
      (else (accept 'number))))
  (define (state176 c)
    (case c
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state175 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state177 c)
    (case c
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state177 (scanChar)))
      ((#\|) (consumeChar) (state176 (scanChar)))
      (else (accept 'number))))
  (define (state178 c)
    (case c
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state177 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state179 c)
    (case c
      ((#\+ #\-) (consumeChar) (state178 (scanChar)))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state177 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state180 c)
    (case c
      ((#\#) (consumeChar) (state180 (scanChar)))
      ((#\e #\E #\s #\S #\f #\F #\d #\D #\l #\L)
       (consumeChar)
       (state179 (scanChar)))
      ((#\|) (consumeChar) (state176 (scanChar)))
      (else (accept 'number))))
  (define (state181 c)
    (case c
      ((#\#) (consumeChar) (state181 (scanChar)))
      (else (accept 'number))))
  (define (state182 c)
    (case c
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state182 (scanChar)))
      ((#\#) (consumeChar) (state181 (scanChar)))
      (else (accept 'number))))
  (define (state183 c)
    (case c
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state182 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state184 c)
    (case c
      ((#\#) (consumeChar) (state184 (scanChar)))
      ((#\/) (consumeChar) (state183 (scanChar)))
      ((#\.) (consumeChar) (state180 (scanChar)))
      ((#\e #\E #\s #\S #\f #\F #\d #\D #\l #\L)
       (consumeChar)
       (state179 (scanChar)))
      ((#\|) (consumeChar) (state176 (scanChar)))
      (else (accept 'number))))
  (define (state185 c)
    (case c
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state185 (scanChar)))
      ((#\#) (consumeChar) (state184 (scanChar)))
      ((#\/) (consumeChar) (state183 (scanChar)))
      ((#\e #\E #\s #\S #\f #\F #\d #\D #\l #\L)
       (consumeChar)
       (state179 (scanChar)))
      ((#\|) (consumeChar) (state176 (scanChar)))
      ((#\.) (consumeChar) (state174 (scanChar)))
      (else (accept 'number))))
  (define (state186 c)
    (case c
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state185 (scanChar)))
      ((#\.) (consumeChar) (state173 (scanChar)))
      ((#\n #\N) (consumeChar) (state172 (scanChar)))
      ((#\i #\I) (consumeChar) (state168 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state187 c)
    (case c
      ((#\+ #\-) (consumeChar) (state186 (scanChar)))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state185 (scanChar)))
      ((#\.) (consumeChar) (state173 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state188 c)
    (case c
      ((#\i #\I) (consumeChar) (accept 'number))
      ((#\#) (consumeChar) (state188 (scanChar)))
      ((#\@) (consumeChar) (state187 (scanChar)))
      ((#\+ #\-) (consumeChar) (state166 (scanChar)))
      (else (accept 'number))))
  (define (state189 c)
    (case c
      ((#\i #\I) (consumeChar) (accept 'number))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state189 (scanChar)))
      ((#\#) (consumeChar) (state188 (scanChar)))
      ((#\@) (consumeChar) (state187 (scanChar)))
      ((#\+ #\-) (consumeChar) (state166 (scanChar)))
      (else (accept 'number))))
  (define (state190 c)
    (case c
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state189 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state191 c)
    (case c
      ((#\i #\I) (consumeChar) (accept 'number))
      ((#\#) (consumeChar) (state191 (scanChar)))
      ((#\/) (consumeChar) (state190 (scanChar)))
      ((#\@) (consumeChar) (state187 (scanChar)))
      ((#\+ #\-) (consumeChar) (state166 (scanChar)))
      ((#\.) (consumeChar) (state145 (scanChar)))
      ((#\e #\E #\s #\S #\f #\F #\d #\D #\l #\L)
       (consumeChar)
       (state144 (scanChar)))
      ((#\|) (consumeChar) (state141 (scanChar)))
      (else (accept 'number))))
  (define (state192 c)
    (case c
      ((#\i #\I) (consumeChar) (accept 'number))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state192 (scanChar)))
      ((#\#) (consumeChar) (state191 (scanChar)))
      ((#\/) (consumeChar) (state190 (scanChar)))
      ((#\@) (consumeChar) (state187 (scanChar)))
      ((#\+ #\-) (consumeChar) (state166 (scanChar)))
      ((#\e #\E #\s #\S #\f #\F #\d #\D #\l #\L)
       (consumeChar)
       (state144 (scanChar)))
      ((#\|) (consumeChar) (state141 (scanChar)))
      ((#\.) (consumeChar) (state139 (scanChar)))
      (else (accept 'number))))
  (define (state193 c)
    (case c
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state192 (scanChar)))
      ((#\.) (consumeChar) (state138 (scanChar)))
      ((#\n #\N) (consumeChar) (state137 (scanChar)))
      ((#\i #\I) (consumeChar) (state132 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state194 c)
    (case c
      ((#\+ #\-) (consumeChar) (state193 (scanChar)))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state130 (scanChar)))
      ((#\.) (consumeChar) (state118 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state195 c)
    (case c
      ((#\i #\I #\e #\E)
       (consumeChar)
       (state194 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state196 c)
    (case c
      ((#\#) (consumeChar) (state195 (scanChar)))
      ((#\+ #\-) (consumeChar) (state193 (scanChar)))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state130 (scanChar)))
      ((#\.) (consumeChar) (state118 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state197 c)
    (case c
      ((#\s #\S) (consumeChar) (state200 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state198 c)
    (case c
      ((#\l #\L) (consumeChar) (state197 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state199 c)
    (case c
      ((#\a #\A) (consumeChar) (state198 (scanChar)))
      (else (accept 'boolean))))
  (define (state200 c)
    (case c
      ((#\e #\E) (consumeChar) (accept 'boolean))
      (else (scannerError errIncompleteToken))))
  (define (state201 c)
    (case c
      ((#\u #\U) (consumeChar) (state200 (scanChar)))
      (else (scannerError errIncompleteToken))))
  (define (state202 c)
    (case c
      ((#\r #\R) (consumeChar) (state201 (scanChar)))
      (else (accept 'boolean))))
  (define (state203 c)
    (case c
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\i
        #\j
        #\k
        #\l
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\I
        #\J
        #\K
        #\L
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z
        #\0
        #\1
        #\2
        #\3
        #\4
        #\5
        #\6
        #\7
        #\8
        #\9
        #\-)
       (consumeChar)
       (state203 (scanChar)))
      (else (accept 'miscflag))))
  (define (state204 c)
    (case c
      ((#\a
        #\b
        #\c
        #\d
        #\e
        #\f
        #\g
        #\h
        #\i
        #\j
        #\k
        #\l
        #\m
        #\n
        #\o
        #\p
        #\q
        #\r
        #\s
        #\t
        #\u
        #\v
        #\w
        #\x
        #\y
        #\z
        #\A
        #\B
        #\C
        #\D
        #\E
        #\F
        #\G
        #\H
        #\I
        #\J
        #\K
        #\L
        #\M
        #\N
        #\O
        #\P
        #\Q
        #\R
        #\S
        #\T
        #\U
        #\V
        #\W
        #\X
        #\Y
        #\Z)
       (consumeChar)
       (state203 (scanChar)))
      (else (accept 'xcomment))))
  (define (state205 c)
    (case c
      ((#\&) (consumeChar) (accept 'xbox))
      ((#\.) (consumeChar) (accept 'xsharpdot))
      ((#\`) (consumeChar) (accept 'quasisyntax))
      ((#\') (consumeChar) (accept 'syntax))
      ((#\() (consumeChar) (accept 'vecstart))
      ((#\;) (consumeChar) (accept 'commentdatum))
      ((#\|) (consumeChar) (accept 'comment))
      ((#\!) (consumeChar) (state204 (scanChar)))
      ((#\t #\T) (consumeChar) (state202 (scanChar)))
      ((#\f #\F) (consumeChar) (state199 (scanChar)))
      ((#\d #\D) (consumeChar) (state196 (scanChar)))
      ((#\i #\I #\e #\E)
       (consumeChar)
       (state117 (scanChar)))
      ((#\b #\B #\o #\O #\x #\X)
       (consumeChar)
       (state85 (scanChar)))
      ((#\\) (consumeChar) (state83 (scanChar)))
      ((#\v) (consumeChar) (state79 (scanChar)))
      ((#\u) (consumeChar) (state78 (scanChar)))
      ((#\,) (consumeChar) (state76 (scanChar)))
      ((#\0 #\1 #\2 #\3 #\4 #\5 #\6 #\7 #\8 #\9)
       (consumeChar)
       (state75 (scanChar)))
      ((#\") (consumeChar) (state74 (scanChar)))
      (else
       (if ((lambda (c)
              (and (char? c) (char=? c (integer->char 16))))
            c)
           (begin (consumeChar) (accept 'xfaslp))
           (if ((lambda (c)
                  (and (char? c) (char=? c (integer->char 7))))
                c)
               (begin (consumeChar) (accept 'xfaslg))
               (if ((lambda (c)
                      (and (char? c) (char=? c (integer->char 6))))
                    c)
                   (begin (consumeChar) (accept 'xfaslf))
                   (if ((lambda (c)
                          (and (char? c) (char=? c (integer->char 3))))
                        c)
                       (begin (consumeChar) (accept 'xfaslc))
                       (if ((lambda (c)
                              (and (char? c) (char=? c (integer->char 2))))
                            c)
                           (begin (consumeChar) (accept 'xfaslb))
                           (scannerError errIncompleteToken)))))))))
  (define (state206 c)
    (case c
      (else
       (if ((lambda (c)
              (and (char? c)
                   (not (char=? c (integer->char 10)))
                   (not (char=? c (integer->char 13)))
                   (not (char=? c (integer->char 133)))
                   (not (char=? c (integer->char 8232)))))
            c)
           (begin (consumeChar) (state206 (scanChar)))
           (begin
             (set! string_accumulator_length 0)
             (state0 (scanChar)))))))
  (define (state207 c)
    (case c
      (else
       (begin
         (set! string_accumulator_length 0)
         (state0 (scanChar))))))
  (define (state208 c)
    (case c (else (accept 'comment))))
  (define (state209 c)
    (case c (else (accept 'commentdatum))))
  (define (state210 c)
    (case c (else (accept 'boolean))))
  (define (state211 c)
    (case c (else (accept 'number))))
  (define (state212 c)
    (case c (else (accept 'character))))
  (define (state213 c)
    (case c (else (accept 'vecstart))))
  (define (state214 c)
    (case c (else (accept 'bvecstart))))
  (define (state215 c)
    (case c (else (accept 'syntax))))
  (define (state216 c)
    (case c (else (accept 'quasisyntax))))
  (define (state217 c)
    (case c (else (accept 'unsyntaxsplicing))))
  (define (state218 c)
    (case c (else (accept 'sharingdef))))
  (define (state219 c)
    (case c (else (accept 'sharinguse))))
  (define (state220 c)
    (case c (else (accept 'xfaslb))))
  (define (state221 c)
    (case c (else (accept 'xfaslc))))
  (define (state222 c)
    (case c (else (accept 'xfaslf))))
  (define (state223 c)
    (case c (else (accept 'xfaslg))))
  (define (state224 c)
    (case c (else (accept 'xfaslp))))
  (define (state225 c)
    (case c (else (accept 'xsharpdot))))
  (define (state226 c)
    (case c (else (accept 'xbox))))
  (define (state227 c)
    (case c (else (accept 'xstring))))
  (define (state228 c)
    (case c (else (accept 'eofobj))))
  (define (state229 c)
    (case c (else (accept 'lparen))))
  (define (state230 c)
    (case c (else (accept 'rparen))))
  (define (state231 c)
    (case c (else (accept 'lbracket))))
  (define (state232 c)
    (case c (else (accept 'rbracket))))
  (define (state233 c)
    (case c (else (accept 'quote))))
  (define (state234 c)
    (case c (else (accept 'backquote))))
  (define (state235 c)
    (case c (else (accept 'splicing))))
  (define (state236 c)
    (case c (else (accept 'id))))
  (define (state237 c)
    (case c (else (accept 'string))))

  ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
  ;
  ; End of state machine generated by LexGen.
  ;
  ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

  (lambda (c) (state0 c)))

;;; eof
